GET /api/v3/meterGroup

Gets a list of meter groups

GetAllMeterGroupsV3 Permissions: GroupsAndBenchmarksModule (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Query Parameters

Name Description Type Required
filter string (string) Optional

Filters

Filter Description Type Operators
autoGroup Boolean equals
meterGroupCategoryCode Meter Group Category Code String equals
meterGroupCategoryId Integer equals
meterGroupCategoryInfo Meter Group Category Display String equals

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

GroupMeterGroupResponse
Property Description Type
autoGroup Indicates if this meter group is an autogroup boolean
lastUpdated The last time a member was inserted, updated, or deleted from the group string (date-time)
limitMembersByTopmost Indicates if the meter group has been set limit the list of members by the user’s topmost boolean
memberCommodityCode The commodity code for the meters in this group - if all meters belong to the same commodity the commodity code will be used here if meters belong to different commodities, value will be “MULTIPLE” if this group has no meters, value will be "" string
memberCount The number of meters in this group integer (int32)
memberCountWithTopmost The number of meters within the currently authenticated user’s topmost integer (int32)
meterGroupCategory MeterGroupCategoryChild
MeterGroupCategoryChild properties
Property Description Type
meterGroupCategoryCode string
meterGroupCategoryId integer (int32)
meterGroupCategoryInfo string
meterGroupCode The meter group code string
meterGroupId The meter group identifier integer (int32)
meterGroupInfo The meter group info string
userDefinedAutoGroup Indicates if this meter group is an user defined auto group boolean
userDefinedAutoGroupFilters The filters applied to determine the members of a user defined auto group FilterResponse[]
FilterResponse properties
Property Description Type
availableOperator The list of available operators Required (defined) string[]
caption The caption of the filter Required (defined) string
dataFieldId The datafield identifier Required (defined) integer (int32)
dataType DataTypeResponse
DataTypeResponse properties
Property Description Type
dataTypeCode Required (defined) string
dataTypeId Required (defined) integer (int32)
dataTypeInfo Required (defined) string
fieldId The field identifier Required (defined) integer (int32)
hidden Indicates if the filter is hidden Required (defined) boolean
operator The operator Required (defined) string
queryParameterName The Query parameter name Required (defined) string
recommended Indicates if the filter is recommended Required (defined) boolean
required Indicates if the filter is required boolean
value The value of the filter Required (defined) string
Example Response application/json
[
  {    "autoGroup": false,    "lastUpdated": "2026-03-30",    "limitMembersByTopmost": false,    "memberCommodityCode": "string",    "memberCount": 1,    "memberCountWithTopmost": 1,    "meterGroupCategory": {      "meterGroupCategoryCode": "string",      "meterGroupCategoryId": 1,      "meterGroupCategoryInfo": "string"
    },    "meterGroupCode": "string",    "meterGroupId": 1,    "meterGroupInfo": "string",    "userDefinedAutoGroup": false,    "userDefinedAutoGroupFilters": [
      {      "availableOperator": [],      "caption": "string",      "dataFieldId": 1,      "dataType": {},      "fieldId": 1,      "hidden": false,      "operator": "string",      "queryParameterName": "string",      "recommended": false,      "required": false,      "value": "string"
    }
    ]
  }
]